Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=f03f9bd551cda547e6e4f2b887787f2d8cd3fa5b

commit f03f9bd551cda547e6e4f2b887787f2d8cd3fa5b
Author: crazy <cr...@frugalware.org>
Date:   Thu Jun 25 11:52:43 2009 +0200

flashplugin-10.0.22.87-2-x86_64
* added 64bit to archs()
* also the 64bit version is not stable but works
* fine so far , tested with ff 3.0* , 3.5* , konqeror
* and midori.
* while at it corrected rodepends() and added !ppc for now
* Ok @ vmiklos

diff --git a/source/xlib/flashplugin/FrugalBuild 
b/source/xlib/flashplugin/FrugalBuild
index 280f16e..86ce2e9 100644
--- a/source/xlib/flashplugin/FrugalBuild
+++ b/source/xlib/flashplugin/FrugalBuild
@@ -3,15 +3,24 @@

pkgname=flashplugin
pkgver=10.0.22.87
-pkgrel=1
+pkgrel=2
pkgdesc="Macromedia flash plugin for Netscape/Mozilla (nonfree)"
url="http://www.macromedia.com/";
-rodepends=('gtk+2' 'atk' 'libxt' 'freetype2' 'libice' 'cairo' 'pango')
+rodepends=('libstdc++' 'libxext' 'libxt' 'gtk+2' 'nss' 'libxau' 'libxdmcp' 
'libice' 'libxml2' 'libxdamage' 'e2fsprogs')
groups=('xlib')
-archs=('i686' '!x86_64')
+archs=('i686' 'x86_64' '!ppc')
up2date="lynx -useragent='Mozilla (Linux) Firefox' -dump 
http://www.adobe.com/go/getflashplayer 2>/dev/null|grep version|sed 
's/.*version //;q'"
-source=(http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz)
-sha1sums=('3429818f585d156cb181f3c7e409547cc2906426')
+if [ "$CARCH" = "i686" ]; then
+       
source=(http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_10_linux.tar.gz)
+else
+       ## this is still not stable and has missing features compared to 32bit 
version but it works fine so far..
+       
source=(http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-$pkgver.linux-x86_64.so.tar.gz)
+fi
+if [ "$CARCH" = "i686" ]; then
+       sha1sums=('3429818f585d156cb181f3c7e409547cc2906426')
+else
+       sha1sums=('ff6d1d72d9b17b5411dc6fdd4ee6046a8f6676f8')
+fi
options=('noversrc')

# NOTE: always check the upstream changelog:
@@ -20,6 +29,12 @@ options=('noversrc')

build()
{
-       Fcd install_flash_player_10_linux
-       Fexerel /usr/lib/mozilla/plugins/libflashplayer.so
+
+       if [ "$CARCH" = "i686" ]; then
+               Fcd install_flash_player_10_linux
+               Fexerel /usr/lib/mozilla/plugins/libflashplayer.so
+       else
+               Fcd "."
+               Fexerel /usr/lib/mozilla/plugins/libflashplayer.so
+       fi
}
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to